$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-22.0.138.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-22.0.138.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'DDDE904A7B2B20A0749FA4E62ACA7D73341A177A29B31D75C6EE23671239BFAB'
  checksumType = 'sha256'
  checksum64 = 'DDDE904A7B2B20A0749FA4E62ACA7D73341A177A29B31D75C6EE23671239BFAB'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-22.0.138-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
